#!/bin/sh


if [ -z $JAVA_HOME ]
then
    JAVACMD=java
else
    JAVACMD=$JAVA_HOME/bin/java
fi
JXBROWSER_DEMO_HOME=`dirname "$0"`
JXBROWSER_HOME="$JXBROWSER_DEMO_HOME/.."
JXBROWSER_BIN="$JXBROWSER_HOME/bin"
JXBROWSER_LIB="$JXBROWSER_HOME/lib"
JXBROWSER_CLASSPATH=""
JAVA_OPTS=""

OS=`uname -s`
if [ $OS = Darwin ]
then
    #PROC=`uname -p`
    GRE_HOME=$JXBROWSER_HOME/xulrunner-mac
    JXBROWSER_CLASSPATH="/System/Library/Java"
    #JAVA_OPTS="$JAVA_OPTS -Dcom.apple.eawt.CocoaComponent.CompatibilityMode=false"
else
    JXBROWSER_CLASSPATH="$JXBROWSER_LIB/tuxpack-0.2.jar"     
    GRE_HOME=$JXBROWSER_HOME/xulrunner-linux
fi 

RUN="$JAVACMD -classpath $JXBROWSER_DEMO_HOME/demo.jar:$JXBROWSER_DEMO_HOME/lib/jxcapture-1.3.jar:$JXBROWSER_DEMO_HOME/lib/swing-layout-1.0.jar:$JXBROWSER_DEMO_HOME/lib/AbsoluteLayout.jar:$JXBROWSER_DEMO_HOME/lib/log4j-1.2.8.jar:$JXBROWSER_LIB/jniwrap-3.7.3.jar:$JXBROWSER_LIB/jxbrowser.jar:$JXBROWSER_LIB/license-checker.jar:$JXBROWSER_LIB/licensing.jar:$JXBROWSER_LIB/MozillaInterfaces.jar:$JXBROWSER_LIB/MozillaGlue.jar:$JXBROWSER_CLASSPATH:$JXBROWSER_BIN $JAVA_OPTS -DGRE_HOME=$GRE_HOME -Xms256m -Xmx256m com.teamdev.xpcom.mozilla.demo.JxBrowserDemo"
$RUN
