package com.teamdev.xpcom.mozilla.demo;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

import com.teamdev.jxbrowser.WebBrowser;
import com.teamdev.jxbrowser.WebBrowserFactory;
import com.teamdev.xpcom.Xpcom;

public class HelloWorld
{

    public static WebBrowser browser;

    public HelloWorld() throws Exception
    {
        // create browser instance
        browser = WebBrowserFactory.getInstance().createBrowser();
        final JFrame frame = new JFrame("Hello world");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setLayout(new BorderLayout());
        // add browser component to the center of frame container
        frame.add(browser.getComponent(), BorderLayout.CENTER);
        frame.setSize(640, 480);
        frame.setLocationRelativeTo(null);
        frame.setVisible(true);
        // set specified content
        browser.navigate("http://www.google.com/");
        Thread.sleep(500);
    }

    public static void main(String args[])
    {
        // initialize mozilla message dispach
        Xpcom.initialize();
        SwingUtilities.invokeLater(new Runnable() {
            public void run()
            {
                try
                {
                    new HelloWorld();
                }
                catch (Exception e)
                {
                    e.printStackTrace();
                }
            }
        });
    }
}